import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'Accueil',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import(/* webpackChunkName: "accueil" */ '../views/Accueil.vue')
  },
  {
    path: '/inscription',
    name: 'Inscription',
    component: () => import(/* webpackChunkName: "inscription" */ '../views/Inscription.vue')
  },
  {
    path: '/login',
    name: 'Login',
    component: () => import(/* webpackChunkName: "login" */ '../views/Login.vue')
  },
  {
    path: '/choixPartie',
    name: 'ChoixPartie',
    component: () => import(/* webpackChunkName: "login" */ '../views/ChoixPartie.vue')
  },
  {
    path: "/adminPrivate",
    name: "AdminPrivate",
    component: () => import(/* webpackChunkName: "login" */ '../views/AdminPrivate.vue')
  },
  {
    path: "/updateUser",
    name: "UpdateUser",
    component: () => import(/* webpackChunkName: "login" */ '../views/UpdateUser.vue')
  },
  {
    path: "/joinPrivate",
    name: "JoinPrivate",
    component: () => import(/* webpackChunkName: "login" */ '../views/JoinPrivate.vue')
  },
  {
    path: "/playerPrivate",
    name: "PlayerPrivate",
    component: () => import(/* webpackChunkName: "login" */ '../views/PlayerPrivate.vue')
  },
  {
    path: "/game/:id",
    name: "Game",
    component: () => import(/* webpackChunkName: "login" */ '../views/Game.vue')
  },
  {
    path: "/online",
    name: "Online",
    component: () => import(/* webpackChunkName: "login" */ '../views/Online.vue')
  },
  {
    path: "/stats",
    name: "Stats",
    component: () => import(/* webpackChunkName: "login" */ '../views/stats.vue')
  }
]

const router = new VueRouter({
  routes
})

export default router
